Bug 1124604

Summary: wrong path in systemctl control file
Product: [Fedora] Fedora EPEL Reporter: Thomas Fragstein <thomas>
Component: openvpnAssignee: Steven Pritchard <steve>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: epel7CC: gwync, herrold, huzaifas, orion, steve, thomas
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-24 20:17:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Thomas Fragstein 2014-07-29 22:01:22 UTC
Description of problem:
In /lib/systemd/system/openvpn@.service the exec path to the openvpn binary is written to "ExecStart=/usr/sbin/openvpn"
But Openvpn is installed in /sbin/openvpn. 

# which openvpn
/sbin/openvpn

either the path in the script are wrong or the rpm install the binary to the wrong place.

Version-Release number of selected component (if applicable):
openvpn-2.3.2-4.el7.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 R P Herrold 2014-09-16 16:03:57 UTC
Thomas -- I suspect your install has something else in play as the needed files are where and as needed in a fresh install?  Please uninstall, and clean out /sbin/ and /usr/sbin/ of and residual openvpn fragments (perhaps from prior installs or such, and see if that does not resolve your issue

[root@unknown00269E5882BA system]# rpm -V openvpn
[root@unknown00269E5882BA system]# rpm -q openvpn
openvpn-2.3.2-4.el7.x86_64
[root@unknown00269E5882BA system]# rpm -qf /usr/sbin/openvpn
openvpn-2.3.2-4.el7.x86_64
[root@unknown00269E5882BA system]# ls /sbin/openvpn
/sbin/openvpn
[root@unknown00269E5882BA system]# ls -al /sbin/openvpn
-rwxr-xr-x. 1 root root 671344 Feb 14  2014 /sbin/openvpn
[root@unknown00269E5882BA system]# ls -al /usr/sbin/openvpn
-rwxr-xr-x. 1 root root 671344 Feb 14  2014 /usr/sbin/openvpn
[root@unknown00269E5882BA system]# md5sum /sbin/openvpn /usr/sbin/openvpn
dd7f132c1371096b67b083d2625c57eb  /sbin/openvpn
dd7f132c1371096b67b083d2625c57eb  /usr/sbin/openvpn
[root@unknown00269E5882BA system]#

Comment 2 Thomas Fragstein 2014-09-16 16:09:02 UTC
I think it can be closed actual.